package com.bc_chat.contacts.contract

import com.bc_chat.bc_base.contract.GroupInfoContract
import com.bc_chat.bc_base.contract.UpLoadPictureContract

/**
 * author：Created by zhaohaoting on 2019/3/7
 * email：526309416@qq.com
 * desc：设置群信息
 */
interface SetGroupInfoContract {

    interface Presenter {
        /**
         * 设置群信息
         */
        fun setGroupInfo(groupId: String, uids: String, userName: String, group_name: String? = null, photo: String? = null, introduction: String? = null, notice: String? = null, type: String? = null)

        /**
         * 退出群
         */
        fun exitGroup(groupId: String, userNames: String?, userName: String?, uids: String)

        /**
         * 上传图片
         */
        fun upload(paths: List<String>)
    }

    interface View : GroupInfoContract.View, UpLoadPictureContract.View {

        fun setGroupInfoSuccess()

        fun setGroupInfoFailure(exception: Exception)

        fun exitGroupSuccess()

        fun exitGroupFailure(exception: Exception)

    }
}